/* Chat */
#btn-open-chat {
    position: fixed;
    bottom: 25px;
    left: 5px;
}

.chat-container {
    position: fixed;
    bottom: -500px;
    left: 5px;
    width: 350px;
    background-color: #eee;
    box-shadow: 0 1px 15px 1px rgba(0, 0, 0, .28);
    transition-duration: 300ms;
    opacity: 0;
    visibility: hidden;
}

.chat-container.active {
    visibility: visible;
    opacity: 1;
    bottom: 25px;
}

.chat-container #input-message {
    resize: none;
}

.chat-container .chat-header {
    /*width: 100%;*/
    background-color: #ccc;
}

.chat-container .conversation-container {
    position: relative;
    height: 350px;
}

.chat-container .conversation {
    position: absolute;
    top: 0;
    left: 0;
    height: 350px;
    width: 100%;
    overflow: auto;
    overflow-wrap: break-word;

    background-color: #eee;
    visibility: hidden;
    padding: 5px;
}

.chat-container .conversation.active {
    visibility: visible;
}

.chat-footer {
    position: relative;
}

.noselect {
    -webkit-touch-callout: none;
    /* iOS Safari */
    -webkit-user-select: none;
    /* Safari */
    -khtml-user-select: none;
    /* Konqueror HTML */
    -moz-user-select: none;
    /* Firefox */
    -ms-user-select: none;
    /* Internet Explorer/Edge */
    user-select: none;
    /* Non-prefixed version, currently supported by Chrome and Opera */
}

/* Message */
.message-container {
    margin-bottom: 10px;
}

.message-avatar {
    display: block;
    float: left;
    width: 44px;
    height: 44px;
    background-size:100% 100%;
    border-top-left-radius: 5px;
    border-bottom-left-radius: 5px;
}

.message-avatar img {
    border-top-left-radius: 5px;
    border-bottom-left-radius: 5px;
    width: 100%;
    height: 100%;
}

.message-body {
    color: black;
    float: left;
    background-color: #ddd;
    padding: 5px 10px;
    width: calc(100% - 44px);
    border-top-right-radius: 5px;
    border-bottom-right-radius: 5px;
    border-bottom-left-radius: 5px;
    border: 1px solid #d1d5da;
}

p.message-title {
    margin-bottom: 0;
}

p.message-title small {
    text-decoration: underline;
    font-style: italic;
}

.clearFloat {
    clear: both;
}

/* ================ EMOJI ================ */
.hide {
    display: none;
}

.emoji-input-search {
    background-image: url(https://js.intercomcdn.com/images/search.7ae40c25.png);
    background-size: 16px 16px;
    background-repeat: no-repeat;
    background-position: 0 12px;
    background-color: transparent;
    font-weight: 400;
    font-size: 14px;
    color: #6e7a89;
    padding-left: 25px;
    height: 40px;
    width: 100%;
    box-sizing: border-box;
    /* background-image: url(https://js.intercomcdn.com/images/search@2x.9f02b9f3.png); */
    border: none;
    outline: none;
}

.composer-popover {
    z-index: 100;
    position: absolute;
    bottom: 0px;
    right: -260px;
    box-shadow: 0 1px 15px 1px rgba(0, 0, 0, .08);
    background-color: #fff;
    border-radius: 6px;
    transition-duration: 100ms;
    transition-delay: 0ms;
    transform-style: flat;
    transform-origin: 50% 50% 0;
    opacity: 0;
    transition: all 0.2s linear;
    visibility: hidden;
}

.composer-popover.active {
    visibility: visible;
    opacity: 1;
    bottom: 50px;
}

.emoji-picker-container {
    width: 350px;
    height: 400px;
}

.composer-popover-header {
    position: absolute;
    top: 0;
    left: 20px;
    right: 20px;
    height: 40px;
    border-bottom: 1px solid #edeff1;
}

.composer-popover-body {
    position: absolute;
    top: 40px;
    left: 0;
    right: 0;
    bottom: 5px;
    padding: 0 20px;
    overflow-y: scroll;
}

.emoji-picker-group {
    margin: 0 -5px;
    padding-bottom: 15px;
    /*border-bottom: 2px solid #ccc;*/
}

.emoji-picker-group-title {
    color: #333;
    font-weight: 400;
    font-size: 20px;
    margin: 5px;
    cursor: pointer;
    border-bottom: 2px solid #fff;
}

.emoji-picker-group-title:hover {
    color: #000;
    border-bottom: 2px solid #5559;
}

.emoji-picker-group-small-title {
    color: #9e9e9e;
    font-weight: 400;
    font-size: 15px;
    margin: 5px;
    cursor: pointer;
    display: block;
    border-bottom: 2px solid #0000;
}

.emoji-picker-group-small-title:hover {
    color: #333;
    border-bottom: 2px solid #ddd9;
}

.emoji {
    padding: 5px;
    width: 30px;
    line-height: 30px;
    display: inline-table;
    text-align: center;
    cursor: pointer;
    vertical-align: middle;
    font-size: 28px;
    transition: -webkit-transform 60ms ease-out;
    transition: transform 60ms ease-out;
    transition: transform 60ms ease-out, -webkit-transform 60ms ease-out;
    transition-delay: 60ms;
    font-family: Apple Color Emoji, Segoe UI Emoji, NotoColorEmoji, Segoe UI Symbol, Android Emoji, EmojiSymbols;
}

.emoji:hover {
    transition-delay: 0ms;
    -webkit-transform: scale(1.4);
    -ms-transform: scale(1.4);
    transform: scale(1.4);
}

.composer-popover-caret {
    position: absolute;
    bottom: -8px;
    width: 0;
    height: 0;
    border-left: 8px solid transparent;
    border-right: 8px solid transparent;
    border-top: 8px solid #fff;
    left: 20px;
}

/* ========================= ScrollBar ====================== */
/* width */
::-webkit-scrollbar {
    width: 8px;
}

/* Track */
::-webkit-scrollbar-track {
    background: transparent;
}

::-webkit-scrollbar-track:hover {
    background: #9994;
    border-radius: 5px;
}

/* Handle */
::-webkit-scrollbar-thumb {
    background: #999;
    border-radius: 5px;
}

/* Handle on hover */
::-webkit-scrollbar-thumb:hover {
    background: #555;
}

/* ========================= Responsive ====================== */
@media only screen and (max-width: 600px) {
    .composer-popover {
        right: 0;
    }

    .composer-popover-caret {
        left: 280px;
    }
}

@media only screen and (max-width: 360px) {

    .chat-container,
    .emoji-picker {
        width: calc(100vw - 10px);
    }

    .composer-popover-caret {
        left: calc(100vw - 85px);
    }
}